Phone & voice · Branded Calling

Dry-run a caller identity before creating it

Dry-runs a caller identity before creating it without changing anything.

POSThttps://api.pozy.ai/v1/branded-calling/identities/preflight
preflightBrandedCallingIdentity

Guide: Branded calling

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication

Request body

application/json, required

  • enterpriseIdstringrequired
  • displayNamestringrequired

    1 to 35 characters.

  • callReasonsarray of stringrequired

    At least 1 item. Up to 10 items. Each item: up to 64 characters.

  • logoUrlstring
  • authorizerobjectrequired
    • namestringrequired

      Up to 255 characters.

    • emailstring (email)required
  • referencesobjectrequired
    • businessarray of objectrequired

      At least 2 items. Up to 2 items.

      7 child fields
      • fullNamestringrequired

        Up to 255 characters.

      • jobTitlestring

        Up to 255 characters.

      • organizationstring

        Up to 255 characters.

      • relationshipToRegistrantstring

        Up to 255 characters.

      • phoneNumberstringrequired
      • emailstring (email)required
      • timezonestringrequired
    • financialobjectrequired
      7 child fields
      • fullNamestringrequired

        Up to 255 characters.

      • jobTitlestring

        Up to 255 characters.

      • organizationstring

        Up to 255 characters.

      • relationshipToRegistrantstring

        Up to 255 characters.

      • phoneNumberstringrequired
      • emailstring (email)required
      • timezonestringrequired

Example

curl -X POST "https://api.pozy.ai/v1/branded-calling/identities/preflight" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "enterpriseId": "66496a86752378ad82057ff6",
  "displayName": "Acme",
  "callReasons": [
    "string"
  ],
  "authorizer": {
    "name": "Acme",
    "email": "alex@example.com"
  },
  "references": {
    "business": [
      {
        "fullName": "Acme",
        "phoneNumber": "+14155550123",
        "email": "alex@example.com",
        "timezone": "America/New_York"
      }
    ],
    "financial": {
      "fullName": "Acme",
      "phoneNumber": "+14155550123",
      "email": "alex@example.com",
      "timezone": "America/New_York"
    }
  }
}'

Response

200 on success

  • okboolean
  • findingsarray of object
    • codestring

      One of display-name-mismatch, call-reasons-manual, authorizer-free-mail, authorizer-domain-mismatch, reference-phone-duplicate, reference-internal, reference-financial-free-mail, reference-timezone-invalid, logo-unreachable.

    • severitystring

      One of block, warn.

    • fieldstring
    • messagestring
200 response
{
  "ok": true,
  "findings": [
    {
      "code": "display-name-mismatch",
      "severity": "block",
      "field": "string",
      "message": "Hello from Pozy"
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is read-only, scoped to other profiles, or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Branded Calling